
ISSUE-id - Bug #2345

'404' error when delete an issue

03 Nov 2014 19:47 - D R

Status: Closed Start date: 03 Nov 2014

Priority: Minor Due date: 01 Dec 2017

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version:  External issue:  

Description

log

Started DELETE "/issues/TEST-1" for 127.0.0.1 at 2014-10-24 19:53:53 +0200

Processing by IssuesController#destroy as HTML

  Parameters: {"authenticity_token"=>"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "id"=>"TEST-1"}

  Current user: mdnsoft (id=1)

  Rendered common/error.html.erb within layouts/base (0.1ms)

Filter chain halted as :find_issues rendered or redirected

Completed 404 Not Found in 14.0ms (Views: 9.4ms | ActiveRecord: 1.9ms)

Associated revisions

Revision 30 - 01 Dec 2017 17:17 - Andriy Lesyuk

Fix issue deletion (#ISSUE-7)

History

#1 - 06 Feb 2015 18:46 - Mateusz Zająkała

works ok for me on redmine 2.5.2.stable, I can delete issues with issue-id assigned

#2 - 28 Aug 2016 17:12 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

#3 - 28 Nov 2017 14:56 - Andriy Lesyuk

- Description updated

#4 - 30 Nov 2017 19:41 - Andriy Lesyuk

- Priority changed from Normal to Minor

#5 - 30 Nov 2017 22:58 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Target version set to 0.0.2

#6 - 01 Dec 2017 11:44 - Andriy Lesyuk

- Status changed from Open to In Progress

#7 - 01 Dec 2017 17:18 - Andriy Lesyuk

- Due date set to 01 Dec 2017

- Status changed from In Progress to Closed

25 Apr 2024 1/2



- % Done changed from 0 to 100

Just a note: you should not delete issues.

Anyway, this should be fixed now.
